public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/bsf/
Date: Wed, 20 Jan 2016 22:42:48 +0000 (UTC)	[thread overview]
Message-ID: <1453329680.ef91f88eae66252472540500dfd2a92273daf158.monsieurp@gentoo> (raw)

commit:     ef91f88eae66252472540500dfd2a92273daf158
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 20 22:41:20 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Jan 20 22:41:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef91f88e

dev-java: Revert "Clean up old".

Package-Manager: portage-2.2.26
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-java/bsf/bsf-2.4.0-r1.ebuild | 89 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 89 insertions(+)

diff --git a/dev-java/bsf/bsf-2.4.0-r1.ebuild b/dev-java/bsf/bsf-2.4.0-r1.ebuild
new file mode 100644
index 0000000..4a77ee4
--- /dev/null
+++ b/dev-java/bsf/bsf-2.4.0-r1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+JAVA_PKG_IUSE="doc examples source"
+inherit java-pkg-2 eutils java-ant-2
+
+DESCRIPTION="Bean Script Framework"
+HOMEPAGE="http://commons.apache.org/bsf/"
+SRC_URI="mirror://apache/jakarta/bsf/source/${PN}-src-${PV}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="2.3"
+KEYWORDS="amd64 ppc64 x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+# If you add new ones, add them to ant-apache-bsf too for use dependencies
+IUSE="javascript python tcl"
+
+COMMON_DEP="dev-java/commons-logging:0
+	dev-java/xalan:0
+	python? ( dev-java/jython:0 )
+	javascript? ( dev-java/rhino:1.6 )
+	tcl? ( dev-java/jacl:0 )"
+RDEPEND=">=virtual/jre-1.4
+	${COMMON_DEP}"
+DEPEND=">=virtual/jdk-1.4
+	${COMMON_DEP}"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+
+	rm -v lib/*.jar || die
+	rm samples/*/*.class || die
+
+	java-ant_ignore-system-classes
+	java-ant_rewrite-classpath
+
+	# somebody forgot to add them to source tarball... fetched from svn
+	cp "${FILESDIR}/${P}-build-properties.xml" build-properties.xml || die
+}
+
+src_compile() {
+	local pkgs="commons-logging,xalan"
+	local antflags="-Dxalan.present=true"
+	if use python; then
+		antflags="${antflags} -Djython.present=true"
+		pkgs="${pkgs},jython"
+	fi
+	if use javascript; then
+		antflags="${antflags} -Drhino.present=true"
+		pkgs="${pkgs},rhino-1.6"
+	fi
+	if use tcl; then
+		antflags="${antflags} -Djacl.present=true"
+		pkgs="${pkgs},jacl"
+	fi
+
+	local cp="$(java-pkg_getjars ${pkgs})"
+	eant -Dgentoo.classpath="${cp}" ${antflags} jar
+	# stupid clean
+	mv build/lib/${PN}.jar "${S}" || die
+	use doc && eant -Dgentoo.classpath="${cp}" ${antflags} javadocs
+}
+
+# does not have any, overwrite the one from java-pkg-2
+src_test() {
+	true;
+}
+
+src_install() {
+	java-pkg_dojar ${PN}.jar
+
+	java-pkg_dolauncher ${PN} --main org.apache.bsf.Main
+
+	dodoc CHANGES.txt NOTICE.txt README.txt RELEASE-NOTE.txt TODO.txt || die
+
+	use doc && java-pkg_dojavadoc build/javadocs
+	use examples && java-pkg_doexamples samples
+	use source && java-pkg_dosrc src/org
+
+	java-pkg_register-optional-dependency bsh,groovy-1,jruby
+}
+
+pkg_postinst() {
+	elog "Support for python, javascript, and tcl is controlled via USE flags."
+	elog "Also, following languages can be supported just by installing"
+	elog "respective package with USE=\"bsf\": BeanShell (dev-java/bsh),"
+	elog "Groovy (dev-java/groovy) and JRuby (dev-java/jruby)"
+}


             reply	other threads:[~2016-01-20 22:42 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-20 22:42 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-03 21:34 [gentoo-commits] repo/gentoo:master commit in: dev-java/bsf/ Sam James
2024-02-03 21:34 Sam James
2024-02-03 21:11 Jakov Smolić
2024-02-03 19:09 Sam James
2024-01-05 10:30 Miroslav Šulc
2024-01-04 12:29 Miroslav Šulc
2024-01-04 12:29 Miroslav Šulc
2022-04-28  7:43 Miroslav Šulc
2022-04-27 18:16 Arthur Zamarin
2022-04-27 18:11 Arthur Zamarin
2022-04-27 11:21 Jakov Smolić
2022-04-27 11:21 Jakov Smolić
2022-01-10 19:10 Arthur Zamarin
2021-11-30 20:51 Arthur Zamarin
2021-10-19  0:15 Sam James
2018-03-01  8:39 Michał Górny
2016-02-09 18:45 Patrice Clement
2016-02-09 18:45 Patrice Clement
2016-02-09 18:45 Patrice Clement
2016-01-20 22:15 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1453329680.ef91f88eae66252472540500dfd2a92273daf158.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox